Subject: bug#36517: 'guix deploy' does not restart services

From: Ludovic Courtès <[email-masked]>
Date: Thu, 11 Jul 2019 17:32:31 +0200

Hi,

[email-masked] (Jakob L. Kreuze) skribis:

> This issue is described in more detail at [1]. Essentially, 'guix
> deploy' is will happily load and start new services, as well as unload
> obsolete services, but does nothing to restart valid services that are
> already running.

That’s not a bug: ‘guix system reconfigure’ does not restart already
running services, simply because it cannot tell whether now is a good
time to restart them.  It’s a decision that’s left to the system
administrator.

However, note that ‘guix system reconfigure’ loads “replacements” for
each Shepherd service, such that next time you run ‘herd restart FOO’,
you spawn that new version of FOO.

Does that make sense?

Thanks,
Ludo’.